#
# spec file for package xtermset (Version 0.5.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           xtermset
License:        GPL, X11/MIT
Group:          System/X11/Terminals
Autoreqprov:    on
Summary:        A program to change the settings of an xterm
Version:        0.5.2
Release:        134.2
URL:            http://sourceforge.net/projects/clts/
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}.dif
Patch1:         %{name}-%{version}-strcat.patch
Patch2:         %{name}-%{version}-dash.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xtermset allows you to change the characteristics of an xterm window
from the command line. Most options have the same names as those that
you would give an xterm at startup.



Authors:
--------
    Breyten Ernsting <bje@dds.nl>
    Decklin Foster <decklin@home.com>

%debug_package
%prep
%setup
%patch0
%patch1
%patch2

%build
%{suse_update_config -f}
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                        --prefix=/usr/X11R6 \
                        --mandir=/usr/X11R6/man            
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make "DESTDIR=$RPM_BUILD_ROOT" install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
/usr/X11R6/bin/xtermset
/usr/X11R6/man/man?/*
/usr/X11R6/share/xtermset/

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%changelog -n xtermset
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Fri Jul 25 2003 - postadal@suse.cz
- update to version 0.5.2
  * tiny bugs fixed
* Thu Mar 14 2002 - pmladek@suse.cz
- fixed usage of strcat() to do not write outside of static strigs
- removed improper test on dash because some values in options
  can begin with dash, for example font name
- /usr/X11R6/share/xtermset is owned by this package now
* Fri Sep 07 2001 - ro@suse.de
- added "-a" to automake
* Tue Mar 13 2001 - cihlar@suse.cz
- update to version 0.5.1
* Tue Feb 13 2001 - cihlar@suse.cz
- fixed limits of switches and fn
* Wed Nov 22 2000 - cihlar@suse.cz
- update to version 0.5
- added suse_update_config
* Thu Apr 27 2000 - cihlar@suse.cz
- added BuildRoot
* Thu Oct 21 1999 - kukuk@suse.de
- Update to version 0.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Apr 27 1999 - kukuk@suse.de
- Spec file created from xtermset-0.3.tar.gz by autospec
